restinio::ip_blocker::incoming_info_t Class Reference

An information about new incoming connection to be passed to IP-blocker object. More...

`#include <ip_blocker.hpp>`

## Public Member Functions

| incoming_info_t (endpoint_t remote_endpoint)
| Initializing constructor. More...
endpoint_t | remote_endpoint () const noexcept
| Remote endpoint of the new connection. More...

## Private Attributes

endpoint_t | m_remote_endpoint

## Detailed Description

An information about new incoming connection to be passed to IP-blocker object.

Since
  v.0.5.1

Examples
  sample/ip_blocker/main.cpp.

Definition at line 63 of file ip_blocker.hpp.

## Constructor & Destructor Documentation

## incoming_info_t()

restinio::ip_blocker::incoming_info_t::incoming_info_t | ( | endpoint_t | remote_endpoint | ) |

inline

Initializing constructor.

Definition at line 69 of file ip_blocker.hpp.

## Member Function Documentation

## remote_endpoint()

endpoint_t restinio::ip_blocker::incoming_info_t::remote_endpoint | ( |  | ) | const

inlinenoexcept

Remote endpoint of the new connection.

Examples
  sample/ip_blocker/main.cpp.

Definition at line 76 of file ip_blocker.hpp.

## Member Data Documentation

## m_remote_endpoint

endpoint_t restinio::ip_blocker::incoming_info_t::m_remote_endpoint

private

Definition at line 65 of file ip_blocker.hpp.

The documentation for this class was generated from the following file:

- restinio/ip_blocker.hpp